Subject: Re: bug#946: 23.0.60; html-mode regression ('' within a table)

From: Stefan Monnier <[email-masked]>
Date: Thu, 18 Sep 2008 17:11:46 -0400

>> Since this is working with sgml-tag-syntax-table, a better fix would be
>> to make sure that ' doesn't have prefix syntax in that table.
> IIUC `sgml-tag-syntax-table' inherits this from `text-mode-syntax-table'
> and whatever is resonable for writing plain text should be reasonable
> for writing marked up text.

> martin "who wanted to fix this problem unobtrusively"

You're confusing sgml-mode-syntax-table and sgml-tag-syntax-table.
The latter is only used internally, not during normal editing.

        Stefan